Skip to main content
GET
/
v1
/
whatsapp
/
conversations
List conversations
curl --request GET \
  --url https://karibu.briq.tz/v1/whatsapp/conversations \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "recipient_phone": "255712345678",
        "is_active": true,
        "unread_count": 123,
        "contact_profile_name": "<string>",
        "last_message_at": "2023-11-07T05:31:56Z",
        "window": {
          "open": true,
          "expires_at": "2023-11-07T05:31:56Z"
        },
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "total": 123,
    "limit": 123,
    "offset": 123
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>",
      "field": "<string>"
    }
  ],
  "request_id": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

sender_id
string<uuid>
recipient
string

Filter to an exact destination number (optional leading +). May match more than one thread across senders.

Required string length: 4 - 20
status
enum<string>
default:all
Available options:
all,
open,
unread
Maximum string length: 64
limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

success
boolean
data
object
errors
object[] | null
request_id
string